source: postlfs/security/gpgme.xml@ 20a35ab

11.0 ken/refactor-virt lazarus qt5new trunk upgradedb
Last change on this file since 20a35ab was 20a35ab, checked in by Bruce Dubbs <bdubbs@…>, 5 months ago

Tags

  • Property mode set to 100644
File size: 8.3 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY gpgme-download-http "&gnupg-http;/gpgme/gpgme-&gpgme-version;.tar.bz2">
8 <!ENTITY gpgme-download-ftp "&gnupg-ftp;/gpgme/gpgme-&gpgme-version;.tar.bz2">
9 <!ENTITY gpgme-download-ftp " ">
10 <!ENTITY gpgme-md5sum "e31b9e0efc5a2e1ec1bbed22e7a082a4">
11 <!ENTITY gpgme-size "1.6 MB">
12 <!ENTITY gpgme-buildsize "222 MB">
13 <!ENTITY gpgme-time "0.8 SBU (with parallelism=4; with all bindings, add 0.7 SBU for tests)">
14]>
15
16<sect1 id="gpgme" xreflabel="GPGME-&gpgme-version;">
17 <?dbhtml filename="gpgme.html"?>
18
19 <sect1info>
20 <date>$Date$</date>
21 </sect1info>
22
23 <title>GPGME-&gpgme-version;</title>
24
25 <indexterm zone="gpgme">
26 <primary sortas="a-GPGME">GPGME</primary>
27 </indexterm>
28
29 <sect2 role="package">
30 <title>Introduction to GPGME</title>
31
32 <para>
33 The <application>GPGME</application> package is a C library
34 that allows cryptography support to be added to a
35 program. It is designed to make access to public key crypto
36 engines like <application>GnuPG</application> or GpgSM easier
37 for applications. <application>GPGME</application> provides
38 a high-level crypto API for encryption, decryption, signing,
39 signature verification and key management.
40 </para>
41
42 &lfs110a_checked;
43
44 <bridgehead renderas="sect3">Package Information</bridgehead>
45 <itemizedlist spacing="compact">
46 <listitem>
47 <para>
48 Download (HTTP): <ulink url="&gpgme-download-http;"/>
49 </para>
50 </listitem>
51 <listitem>
52 <para>
53 Download (FTP): <ulink url="&gpgme-download-ftp;"/>
54 </para>
55 </listitem>
56 <listitem>
57 <para>
58 Download MD5 sum: &gpgme-md5sum;
59 </para>
60 </listitem>
61 <listitem>
62 <para>
63 Download size: &gpgme-size;
64 </para>
65 </listitem>
66 <listitem>
67 <para>
68 Estimated disk space required: &gpgme-buildsize;
69 </para>
70 </listitem>
71 <listitem>
72 <para>
73 Estimated build time: &gpgme-time;
74 </para>
75 </listitem>
76 </itemizedlist>
77
78 <bridgehead renderas="sect3">GPGME Dependencies</bridgehead>
79
80 <bridgehead renderas="sect4">Required</bridgehead>
81 <para role="required">
82 <xref linkend="libassuan"/>
83 </para>
84
85 <bridgehead renderas="sect4">Optional</bridgehead>
86 <para role="optional">
87 <xref linkend="doxygen"/> and
88 <xref linkend="graphviz"/> (for API documentation),
89 <xref linkend="gnupg2"/> (required if Qt or SWIG are installed;
90 used during the testsuite),
91 <xref linkend="clisp"/>,<!--
92gpgme can still use python 2.7, but can use python3 as well,
93so do not advertise python2
94 <xref linkend="python2"/>,-->
95 <xref linkend="qt5"/>, and/or
96 <xref linkend="swig"/> (for language bindings)
97 </para>
98
99 <para condition="html" role="usernotes">User Notes:
100 <ulink url="&blfs-wiki;/gpgme"/>
101 </para>
102 </sect2>
103
104 <sect2 role="installation">
105 <title>Installation of GPGME</title>
106
107 <para>
108 At first, fix an issue building the package with Glibc-2.34 or later:
109 </para>
110
111<screen><userinput>sed 's/defined(__sun.*$/1/' -i src/posix-io.c</userinput></screen>
112
113 <para>
114 Install <application>GPGME</application> by running the following
115 commands:
116 </para>
117
118<screen><userinput>./configure --prefix=/usr --disable-gpg-test &amp;&amp;
119make</userinput></screen>
120
121 <para>
122 To test the results, you should have <xref linkend="gnupg2"/> installed
123 and remove the <command>--disable-gpg-test</command> above. Issue:
124 <command>make -k check</command>.
125 </para>
126
127 <para>
128 Now, as the <systemitem class="username">root</systemitem> user:
129 </para>
130
131<screen role="root"><userinput>make install</userinput></screen>
132
133 </sect2>
134
135 <sect2 role="commands">
136 <title>Command Explanations</title>
137
138 <para>
139 <parameter>--disable-gpg-test</parameter>: if this parameter is not
140 passed to configure, the test programs are built during
141 <command>make</command> stage, which requires <xref linkend="gnupg2"/>.
142 This parameter is not needed if <xref linkend="gnupg2"/> is installed.
143 </para>
144
145 </sect2>
146
147 <sect2 role="content">
148 <title>Contents</title>
149
150 <segmentedlist>
151 <segtitle>Installed Program</segtitle>
152 <segtitle>Installed Libraries</segtitle>
153 <segtitle>Installed Directory</segtitle>
154
155 <seglistitem>
156 <seg>
157 gpgme-config, gpgme-json, and gpgme-tool
158 </seg>
159 <seg>
160 libgpgme, libgpgmepp.so, and libqgpgme.so
161 </seg>
162 <seg>
163 /usr/include/{gpgme++,qgpgme,QGpgME},
164 /usr/lib/cmake/{Gpgmepp,QGpgme}.
165 /usr/lib/python{2.7,3.9}/site-packages/gpg, and
166 /usr/share/common-lisp/source/gpgme
167 </seg>
168 </seglistitem>
169 </segmentedlist>
170
171 <variablelist>
172 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
173 <?dbfo list-presentation="list"?>
174 <?dbhtml list-presentation="table"?>
175
176 <varlistentry id="gpgme-config">
177 <term><command>gpgme-config</command></term>
178 <listitem>
179 <para>
180 is used to obtain <application>GPGME</application> compilation and
181 linking information
182 </para>
183 <indexterm zone="gpgme gpgme-config">
184 <primary sortas="b-gpgme-config">gpgme-config</primary>
185 </indexterm>
186 </listitem>
187 </varlistentry>
188
189 <varlistentry id="gpgme-json">
190 <term><command>gpgme-json</command></term>
191 <listitem>
192 <para>
193 outputs <application>GPGME</application> commands in JSON format
194 </para>
195 <indexterm zone="gpgme gpgme-json">
196 <primary sortas="b-gpgme-json">gpgme-json</primary>
197 </indexterm>
198 </listitem>
199 </varlistentry>
200
201 <varlistentry id="gpgme-tool">
202 <term><command>gpgme-tool</command></term>
203 <listitem>
204 <para>
205 is an assuan server exposing <application>GPGME</application>
206 operations, such as printing fingerprints and keyids with
207 keyservers
208 </para>
209 <indexterm zone="gpgme gpgme-tool">
210 <primary sortas="b-gpgme-tool">gpgme-tool</primary>
211 </indexterm>
212 </listitem>
213 </varlistentry>
214
215 <!-- As of 1.13.1, this library isn't present anymore.
216 <varlistentry id="libgpgme-pthread">
217 <term><filename class="libraryfile">libgpgme-pthread.so</filename></term>
218 <listitem>
219 <para>
220 contains the <application>GPGME</application> API functions for
221 applications using pthread.
222 </para>
223 <indexterm zone="gpgme libgpgme-pthread">
224 <primary sortas="c-libgpgme-pthread">libgpgme-pthread.so</primary>
225 </indexterm>
226 </listitem>
227 </varlistentry>
228 -->
229
230 <varlistentry id="libgpgme">
231 <term><filename class="libraryfile">libgpgme.so</filename></term>
232 <listitem>
233 <para>
234 contains the <application>GPGME</application> API functions
235 </para>
236 <indexterm zone="gpgme libgpgme">
237 <primary sortas="c-libgpgme">libgpgme.so</primary>
238 </indexterm>
239 </listitem>
240 </varlistentry>
241
242 <varlistentry id="libgpgmepp">
243 <term><filename class="libraryfile">libgpgmepp.so</filename></term>
244 <listitem>
245 <para>
246 contains the C++ <application>GPGME</application> API functions
247 </para>
248 <indexterm zone="gpgme libgpgmepp">
249 <primary sortas="c-libgpgmepp">libgpgmepp.so</primary>
250 </indexterm>
251 </listitem>
252 </varlistentry>
253
254 <varlistentry id="libqgpgme">
255 <term><filename class="libraryfile">libqgpgme.so</filename></term>
256 <listitem>
257 <para>
258 contains API functions for handling GPG operations in
259 <application>Qt</application> applications
260 </para>
261 <indexterm zone="gpgme libqgpgme">
262 <primary sortas="c-libqgpgme">libqgpgme.so</primary>
263 </indexterm>
264 </listitem>
265 </varlistentry>
266
267 </variablelist>
268
269 </sect2>
270
271</sect1>
Note: See TracBrowser for help on using the repository browser.